[Yandex Cloud documentation](../../index.md) > [Yandex Cloud Notification Service](../index.md) > [API reference](index.md) > SMS > List

# ListSMSChannels

Gets a list of [SMS notification channels](../concepts/sms.md) in a folder.

## HTTP request {#request}

```http
POST https://notifications.yandexcloud.net/
```

### Query parameters {#parameters}

Parameter | Description
--- | ---
`Action` | **string**<br/>Required field.<br/>Operation type parameter.<br/>Value: `ListSMSChannels`.
`ResponseFormat` | **string**<br/>Response format.<br/>The possible values are:<ul><li>`XML` (default)</li><li>`JSON`.</li></ul>

## Response {#response}

### Successful response {#response-200}

If there are no errors, Cloud Notification Service returns the `200` HTTP code.

A successful response contains additional data in XML or JSON format depending on the specified `ResponseFormat` parameter.

Data schema:

{% list tabs %}

- XML

  ```xml
  <?xml version="1.0" encoding="UTF-8"?>
  <ListSMSChannelsResponseXML>
	  <ResponseMetadata>
	  	<RequestId>string</RequestId>
	  </ResponseMetadata>
	  <ListSMSChannelsResult>
	  	<SMSChannels>
			  <member>
			  	<SMSChannelArn>string</SMSChannelArn>
			  	<Attributes>
				  	<entry>
					  	<key>string</key>
					  	<value>string</value>
					  </entry>
				  </Attributes>
			  </member>
		  </SMSChannels>
	  </ListSMSChannelsResult>
  </ListSMSChannelsResponseXML>
  ```

- JSON

  ```json
  {
    "ResponseMetadata": {
      "RequestId": "string"
    },
    "ListSMSChannelsResult": {
      "SMSChannels": [
        {
          "SMSChannelArn": "string",
          "Attributes": {
            "Attribute": "string"
          }
        }
      ]
    }
  }
  ```

{% endlist %}

Where:
* `RequestId`: Request ID.
* `SMSChannelArn`: SMS notification channel ARN.
* `Attributes`: Attributes of the SMS notification channel.
  * `SenderID`:
    * For channels with an individual sender, contains the sender’s text name provided when the channel was created. 
    * For a channel with a shared sender, contains the `cns.shared` value.
  * `IsDefault`: Specifies whether the channel is the default channel for outgoing SMS in this cloud.
  * `IsBanned`: Specifies whether the channel is banned by the service.
  * `ChannelState`: Channel state. Possible states: 
    * `Registering`: Registering.
    * `Sandbox`: In [sandbox](../concepts/sms.md#sandbox).
    * `Active`: Active.
    * `Disabled`: Disabled.
    * `Deregistering`: Deregistering.
    * `Deregistered`: Deregistered.
  * `Description`: Description of SMS notifications.

### Error response {#response-4xx}

In case of an error, Cloud Notification Service returns a message with the appropriate HTTP code and its additional description in XML or JSON format depending on the specified `ResponseFormat` parameter.

Data schema:

{% list tabs %}

- XML

  ```xml
  <?xml version="1.0" encoding="UTF-8"?>
  <ErrorResponseXML>
	  <RequestId>string</RequestId>
	  <Error>
		  <Code>string</Code>
		  <Message>string</Message>
	  </Error>
  </ErrorResponseXML>
  ```

- JSON

  ```json
  {
    "ErrorResponse": {
      "RequestId": "string",
      "Error": {
        "Code": "string",
        "SubCode": "string",
        "Message": "string"
      }
    }
  }
  ```

{% endlist %}

Where:
* `RequestId`: Request ID.
* `Code`: Error code.
* `Message`: Error description.

For a list of common error codes for all actions, see [Errors](common-errors.md).

## Useful links {#see-also}

* [Yandex Cloud Notification Service HTTP API overview](index.md)
* [Sending an HTTP API request to Yandex Cloud Notification Service](send-request.md)